# HG changeset patch
# Node ID 207f913683e1
# Parent  27d70d93355d
diff --git a/libpurple/account.c b/libpurple/account.c
--- a/libpurple/account.c
+++ b/libpurple/account.c
@@ -44,11 +44,6 @@
 #include "signals.h"
 #include "util.h"
 
-/**
- * PurpleAccount:
- *
- * Structure representing an account.
- */
 struct _PurpleAccount
 {
 	GObject gparent;
diff --git a/libpurple/circularbuffer.c b/libpurple/circularbuffer.c
--- a/libpurple/circularbuffer.c
+++ b/libpurple/circularbuffer.c
@@ -26,25 +26,24 @@
  * Structs
  *****************************************************************************/
 typedef struct {
-	/** A pointer to the starting address of our chunk of memory. */
+	/* A pointer to the starting address of our chunk of memory. */
 	gchar *buffer;
 
-	/** The incremental amount to increase this buffer by when
-	 *  the buffer is not big enough to hold incoming data, in bytes. */
+	/* The incremental amount to increase this buffer by when the buffer is not
+	 * big enough to hold incoming data, in bytes. */
 	gsize growsize;
 
-	/** The length of this buffer, in bytes. */
+	/* The length of this buffer, in bytes. */
 	gsize buflen;
 
-	/** The number of bytes of this buffer that contain unread data. */
+	/* The number of bytes of this buffer that contain unread data. */
 	gsize bufused;
 
-	/** A pointer to the next byte where new incoming data is
-	 *  buffered to. */
+	/* A pointer to the next byte where new incoming data is buffered to. */
 	gchar *input;
 
-	/** A pointer to the next byte of buffered data that should be
-	 *  read by the consumer. */
+	/* A pointer to the next byte of buffered data that should be read by the
+	 * consumer. */
 	gchar *output;
 } PurpleCircularBufferPrivate;
 
diff --git a/libpurple/media.c b/libpurple/media.c
--- a/libpurple/media.c
+++ b/libpurple/media.c
@@ -30,9 +30,7 @@
 #include "media-gst.h"
 
 #ifdef USE_VV
-/** @copydoc _PurpleMediaSession */
 typedef struct _PurpleMediaSession PurpleMediaSession;
-/** @copydoc _PurpleMediaStream */
 typedef struct _PurpleMediaStream PurpleMediaStream;
 
 struct _PurpleMediaSession
diff --git a/libpurple/mediamanager.c b/libpurple/mediamanager.c
--- a/libpurple/mediamanager.c
+++ b/libpurple/mediamanager.c
@@ -39,9 +39,7 @@
 #endif
 #endif /* USE_VV */
 
-/** @copydoc _PurpleMediaOutputWindow */
 typedef struct _PurpleMediaOutputWindow PurpleMediaOutputWindow;
-/** @copydoc _PurpleMediaManagerPrivate */
 typedef struct _PurpleMediaElementInfoPrivate PurpleMediaElementInfoPrivate;
 
 struct _PurpleMediaOutputWindow
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -333,8 +333,8 @@ pkgconfig.generate(
     variables : ['plugindir=${libdir}/@0@'.format(purple_filebase)])
 
 if enable_introspection
-	introspection_sources = (purple_coreheaders + purple_builtheaders +
-	                         purple_mediaheaders)
+	introspection_sources = (purple_coresources + purple_coreheaders +
+	                         purple_builtheaders + purple_mediaheaders)
 
 	libpurple_gir = gnome.generate_gir(libpurple,
 	    sources : introspection_sources,
diff --git a/libpurple/purpleconversationmanager.c b/libpurple/purpleconversationmanager.c
--- a/libpurple/purpleconversationmanager.c
+++ b/libpurple/purpleconversationmanager.c
@@ -142,7 +142,7 @@ purple_conversation_manager_class_init(P
 	/**
 	 * PurpleConversationManager::registered:
 	 * @manager: The manager.
-	 * @converstion: The conversation that was registered.
+	 * @conversation: The conversation that was registered.
 	 *
 	 * Emitted after @conversation has been registered with @manager.
 	 *
diff --git a/libpurple/purplehistorymanager.c b/libpurple/purplehistorymanager.c
--- a/libpurple/purplehistorymanager.c
+++ b/libpurple/purplehistorymanager.c
@@ -72,7 +72,7 @@ purple_history_manager_class_init(Purple
 	obj_class->finalize = purple_history_manager_finalize;
 
 	/**
-	* PurpleHistoryManager::adapter-changed:
+	* PurpleHistoryManager::active-changed:
 	* @manager: The #PurpleHistoryManager instance.
 	* @old: The old #PurpleHistoryAdapter.
 	* @current: The new activated #PurpleHistoryAdapter.
diff --git a/libpurple/purplemessage.c b/libpurple/purplemessage.c
--- a/libpurple/purplemessage.c
+++ b/libpurple/purplemessage.c
@@ -29,11 +29,6 @@
 #include "purplemessage.h"
 #include "purpleprivate.h"
 
-/**
- * PurpleMessage:
- *
- * A message data container.
- */
 struct _PurpleMessage {
 	GObject parent;
 
diff --git a/libpurple/queuedoutputstream.h b/libpurple/queuedoutputstream.h
--- a/libpurple/queuedoutputstream.h
+++ b/libpurple/queuedoutputstream.h
@@ -42,9 +42,19 @@ G_BEGIN_DECLS
 /**
  * PurpleQueuedOutputStream:
  *
- * A #PurpleQueuedOutputStream is a #GOutputStream which allows data to be
- * queued for outputting. It differs from a #GBufferedOutputStream in that
- * it allows for data to be queued while other operations are in progress.
+ * An implementation of #GFilterOutputStream which allows queuing data for
+ * output. This allows data to be queued while other data is being output.
+ * Therefore, data doesn't have to be manually stored while waiting for
+ * stream operations to finish.
+ *
+ * To create a queued output stream, use [ctor@QueuedOutputStream.new].
+ *
+ * To queue data, use [method@QueuedOutputStream.push_bytes_async].
+ *
+ * If there's a fatal stream error, it's suggested to clear the remaining bytes
+ * queued with [method@QueuedOutputStream.clear_queue] to avoid excessive
+ * errors returned in [method@QueuedOutputStream.push_bytes_async]'s async
+ * callback.
  */
 G_DECLARE_FINAL_TYPE(PurpleQueuedOutputStream,
 		purple_queued_output_stream, PURPLE,
diff --git a/libpurple/queuedoutputstream.c b/libpurple/queuedoutputstream.c
--- a/libpurple/queuedoutputstream.c
+++ b/libpurple/queuedoutputstream.c
@@ -24,23 +24,6 @@
 #include "internal.h"
 #include "queuedoutputstream.h"
 
-/**
- * PurpleQueuedOutputStream:
- *
- * An implementation of #GFilterOutputStream which allows queuing data for
- * output. This allows data to be queued while other data is being output.
- * Therefore, data doesn't have to be manually stored while waiting for
- * stream operations to finish.
- *
- * To create a queued output stream, use #purple_queued_output_stream_new().
- *
- * To queue data, use #purple_queued_output_stream_push_bytes_async().
- *
- * If there's a fatal stream error, it's suggested to clear the remaining
- * bytes queued with #purple_queued_output_stream_clear_queue() to avoid
- * excessive errors returned in
- * #purple_queued_output_stream_push_bytes_async()'s async callback.
- */
 struct _PurpleQueuedOutputStream
 {
 	GFilterOutputStream parent;
diff --git a/libpurple/trie.h b/libpurple/trie.h
--- a/libpurple/trie.h
+++ b/libpurple/trie.h
@@ -80,7 +80,7 @@ typedef gboolean (*PurpleTrieFindCb)(con
 G_BEGIN_DECLS
 
 /**
- * PurpleTrie
+ * PurpleTrie:
  *
  * A #PurpleTrie is a structure for quick searching of multiple phrases within
  * a text. It's intended for repeated searches of the same set of patterns
diff --git a/libpurple/trie.c b/libpurple/trie.c
--- a/libpurple/trie.c
+++ b/libpurple/trie.c
@@ -43,11 +43,6 @@ typedef struct _PurpleTrieRecord PurpleT
 typedef struct _PurpleTrieState PurpleTrieState;
 typedef struct _PurpleTrieRecordList PurpleTrieRecordList;
 
-/**
- * PurpleTrie:
- *
- * The trie object instance.
- */
 struct _PurpleTrie
 {
 	GObject parent;
diff --git a/libpurple/util.c b/libpurple/util.c
--- a/libpurple/util.c
+++ b/libpurple/util.c
@@ -418,7 +418,7 @@ purple_strreplace(const char *string, co
 	return ret;
 }
 
-/** TODO: Expose this when we can add API */
+/* TODO: Expose this when we can add API */
 static const char *
 purple_strcasestr_len(const char *haystack, gssize hlen, const char *needle, gssize nlen)
 {
diff --git a/libpurple/xfer.c b/libpurple/xfer.c
--- a/libpurple/xfer.c
+++ b/libpurple/xfer.c
@@ -2281,13 +2281,15 @@ purple_xfer_class_init(PurpleXferClass *
 
 	/**
 	 * PurpleXfer::open-local:
+	 * @xfer: The file transfer.
 	 *
 	 * Open a file locally for a file transfer.
 	 *
 	 * The default class handler will open a file using standard library
 	 * functions. If you connect to this signal, you should connect to
-	 * PurpleXfer::query-local, PurpleXfer::read-local, PurpleXfer::write-local
-	 * and PurpleXfer::data-not-sent as well.
+	 * [signal@PurpleXfer::query-local], [signal@PurpleXfer::read-local],
+	 * [signal@PurpleXfer::write-local] and [signal@PurpleXfer::data-not-sent]
+	 * as well.
 	 *
 	 * Returns: %TRUE if the file was opened successfully, or %FALSE otherwise,
 	 *          and the transfer should be cancelled (libpurple will cancel).
@@ -2301,6 +2303,7 @@ purple_xfer_class_init(PurpleXferClass *
 
 	/**
 	 * PurpleXfer::query-local:
+	 * @xfer: The file transfer.
 	 * @filename: The filename of the transfer.
 	 *
 	 * Query a file's properties locally.
@@ -2309,8 +2312,9 @@ purple_xfer_class_init(PurpleXferClass *
 	 * functions, and set the transfer's size. If you connect to this signal,
 	 * you should try to do the same, but it is not necessarily an error if you
 	 * cannot. If you connect to this signal, you must connect to
-	 * PurpleXfer::open-local, PurpleXfer::read-local, PurpleXfer::write-local
-	 * and PurpleXfer::data-not-sent as well.
+	 * [signal@PurpleXfer::open-local], [signal@PurpleXfer::read-local],
+	 * [signal@PurpleXfer::write-local] and [signal@PurpleXfer::data-not-sent]
+	 * as well.
 	 *
 	 * Returns: %TRUE if the properties were queried successfully, or %FALSE
 	 *          otherwise, and the transfer should be cancelled (libpurple will
@@ -2326,6 +2330,7 @@ purple_xfer_class_init(PurpleXferClass *
 
 	/**
 	 * PurpleXfer::read-local:
+	 * @xfer: The file transfer.
 	 * @buffer: (out): A pointer to a buffer to fill.
 	 * @size: The maximum amount of data to put in the buffer.
 	 *
@@ -2333,8 +2338,9 @@ purple_xfer_class_init(PurpleXferClass *
 	 *
 	 * The default class handler will read from a file using standard library
 	 * functions. If you connect to this signal, you must connect to
-	 * PurpleXfer::open-local, PurpleXfer::query-local, PurpleXfer::write-local
-	 * and PurpleXfer::data-not-sent as well.
+	 * [signal@PurpleXfer::open-local], [signal@PurpleXfer::query-local],
+	 * [signal@PurpleXfer::write-local] and [signal@PurpleXfer::data-not-sent]
+	 * as well.
 	 *
 	 * Returns: The amount of data in the buffer, 0 if nothing is available,
 	 *          and a negative value if an error occurred and the transfer
@@ -2350,6 +2356,7 @@ purple_xfer_class_init(PurpleXferClass *
 
 	/**
 	 * PurpleXfer::write-local:
+	 * @xfer: The file transfer.
 	 * @buffer: The buffer to write.
 	 * @size: The size of the buffer.
 	 *
@@ -2359,8 +2366,9 @@ purple_xfer_class_init(PurpleXferClass *
 	 *
 	 * The default class handler will write to a file using standard library
 	 * functions. If you connect to this signal, you must connect to
-	 * PurpleXfer::open-local, PurpleXfer::query-local, PurpleXfer::read-local
-	 * and PurpleXfer::data-not-sent as well.
+	 * [signal@PurpleXfer::open-local], [signal@PurpleXfer::query-local],
+	 * [signal@PurpleXfer::read-local] and [signal@PurpleXfer::data-not-sent]
+	 * as well.
 	 *
 	 * Returns: @size if the write was successful, or a value between 0 and
 	 *          @size on error.
@@ -2375,6 +2383,7 @@ purple_xfer_class_init(PurpleXferClass *
 
 	/**
 	 * PurpleXfer::data-not-sent:
+	 * @xfer: The file transfer.
 	 * @buffer: A pointer to the beginning of the unwritten data.
 	 * @size: The amount of unwritten data.
 	 *
@@ -2382,8 +2391,9 @@ purple_xfer_class_init(PurpleXferClass *
 	 * re-enqueue this data and return it the next time read is called.
 	 *
 	 * If you connect to this signal, you must connect to
-	 * PurpleXfer::open-local, PurpleXfer::query-local, PurpleXfer::read-local
-	 * and PurpleXfer::write-local as well.
+	 * [signal@PurpleXfer::open-local], [signal@PurpleXfer::query-local],
+	 * [signal@PurpleXfer::read-local] and [signal@PurpleXfer::write-local] as
+	 * well.
 	 *
 	 * Returns: %TRUE if the data was re-enqueued successfully, or %FALSE
 	 *          otherwise, and the transfer should be cancelled (libpurple
@@ -2399,6 +2409,7 @@ purple_xfer_class_init(PurpleXferClass *
 
 	/**
 	 * PurpleXfer::add-thumbnail:
+	 * @xfer: The file transfer.
 	 * @formats: A comma-separated string of allowed image formats.
 	 *
 	 * Request that a thumbnail be added to a file transfer.
diff --git a/pidgin/gtknotify.c b/pidgin/gtknotify.c
--- a/pidgin/gtknotify.c
+++ b/pidgin/gtknotify.c
@@ -524,8 +524,8 @@ pidgin_notify_searchresults(PurpleConnec
 	return data;
 }
 
-/** Xerox'ed from Finch! How the tables have turned!! ;) **/
-/** User information. **/
+/* Xerox'ed from Finch! How the tables have turned!! ;) */
+/* User information. */
 static GHashTable *userinfo;
 
 static char *
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -324,7 +324,7 @@ if ENABLE_GTK
 	endif  # INSTALL_I18N
 
 	if enable_introspection
-		introspection_sources = libpidgin_headers + libpidgin_prefs_headers
+		introspection_sources = libpidgin_SOURCES + libpidgin_headers + libpidgin_prefs_headers
 
 		pidgin_gir = gnome.generate_gir(libpidgin,
 			sources : introspection_sources,
diff --git a/pidgin/pidginaccountfilterprotocol.c b/pidgin/pidginaccountfilterprotocol.c
--- a/pidgin/pidginaccountfilterprotocol.c
+++ b/pidgin/pidginaccountfilterprotocol.c
@@ -145,7 +145,7 @@ pidgin_account_filter_protocol_class_ini
 	obj_class->finalize = pidgin_account_filter_protocol_finalize;
 
 	/**
-	 * PidginAccountFilterProtocol::protocol-id:
+	 * PidginAccountFilterProtocol:protocol-id:
 	 *
 	 * The protocol id that will be filtered for.
 	 */
diff --git a/pidgin/pidginapplication.c b/pidgin/pidginapplication.c
--- a/pidgin/pidginapplication.c
+++ b/pidgin/pidginapplication.c
@@ -146,7 +146,7 @@ pidgin_application_populate_dynamic_menu
 /******************************************************************************
  * Actions
  *****************************************************************************/
-/**< private >
+/*< private >
  * pidgin_application_online_actions:
  *
  * This list keeps track of which actions should only be enabled while online.
@@ -160,7 +160,7 @@ static const gchar *pidgin_application_o
 	"set-mood",
 };
 
-/**< private >
+/*< private >
  * pidgin_application_chat_actions:
  *
  * This list keeps track of which actions should only be enabled if a protocol
@@ -171,7 +171,7 @@ static const gchar *pidgin_application_c
 	"join-chat",
 };
 
-/**< private >
+/*< private >
  * pidgin_application_room_list_actions:
  *
  * This list keeps track of which actions should only be enabled if an online
diff --git a/pidgin/pidginavatar.c b/pidgin/pidginavatar.c
--- a/pidgin/pidginavatar.c
+++ b/pidgin/pidginavatar.c
@@ -462,7 +462,7 @@ pidgin_avatar_class_init(PidginAvatarCla
 	obj_class->dispose = pidgin_avatar_dispose;
 
 	/**
-	 * PidginAvatar::animate:
+	 * PidginAvatar:animate:
 	 *
 	 * Whether or not an animated avatar should be animated.
 	 */
@@ -473,9 +473,9 @@ pidgin_avatar_class_init(PidginAvatarCla
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PidginAvatar::buddy:
+	 * PidginAvatar:buddy:
 	 *
-	 * The #PurpleBuddy whose avatar will be displayed.
+	 * The buddy whose avatar will be displayed.
 	 */
 	properties[PROP_BUDDY] = g_param_spec_object(
 		"buddy", "buddy",
@@ -484,10 +484,9 @@ pidgin_avatar_class_init(PidginAvatarCla
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PidginAvatar::conversation:
+	 * PidginAvatar:conversation:
 	 *
-	 * The #PurpleConversation which will be used to find the correct
-	 * #PurpleBuddy.
+	 * The conversation which will be used to find the correct buddy.
 	 */
 	properties[PROP_CONVERSATION] = g_param_spec_object(
 		"conversation", "conversation",
diff --git a/pidgin/pidginconversationwindow.c b/pidgin/pidginconversationwindow.c
--- a/pidgin/pidginconversationwindow.c
+++ b/pidgin/pidginconversationwindow.c
@@ -213,6 +213,13 @@ pidgin_conversation_window_class_init(Pi
 
 	obj_class->dispose = pidgin_conversation_window_dispose;
 
+	/**
+	 * PidginConversationWindow::conversation-switched:
+	 * @window: The conversation window.
+	 * @new_conv: The now active conversation.
+	 *
+	 * Emitted when a window switched from one conversation to another.
+	 */
 	signals[SIG_CONVERSATION_SWITCHED] = g_signal_new_class_handler(
 		"conversation-switched",
 		G_OBJECT_CLASS_TYPE(obj_class),
diff --git a/pidgin/pidgininfopane.c b/pidgin/pidgininfopane.c
--- a/pidgin/pidgininfopane.c
+++ b/pidgin/pidgininfopane.c
@@ -162,7 +162,7 @@ pidgin_info_pane_class_init(PidginInfoPa
 	obj_class->dispose = pidgin_info_pane_dispose;
 
 	/**
-	 * PidginInfoPane::conversation
+	 * PidginInfoPane:conversation
 	 *
 	 * The #PurpleConversation whose information will be displayed.
 	 */
diff --git a/pidgin/pidginnotificationconnectionerror.c b/pidgin/pidginnotificationconnectionerror.c
--- a/pidgin/pidginnotificationconnectionerror.c
+++ b/pidgin/pidginnotificationconnectionerror.c
@@ -224,7 +224,7 @@ pidgin_notification_connection_error_cla
 	obj_class->dispose = pidgin_notification_connection_error_dispose;
 
 	/**
-	 * PidginNotificationConnectionError::info:
+	 * PidginNotificationConnectionError:notification:
 	 *
 	 * The [type@Purple.ConnectionErrorInfo] that this notification is for.
 	 *
diff --git a/pidgin/pidginplugininfo.c b/pidgin/pidginplugininfo.c
--- a/pidgin/pidginplugininfo.c
+++ b/pidgin/pidginplugininfo.c
@@ -84,7 +84,7 @@ pidgin_plugin_info_class_init(PidginPlug
 	obj_class->set_property = pidgin_plugin_info_set_property;
 
 	/**
-	 * PidginPluginInfo::gtk-config-frame-cb:
+	 * PidginPluginInfo:gtk-config-frame-cb:
 	 *
 	 * A function to call to create the configuration widget for the plugin.
 	 */
diff --git a/pidgin/pidginpresenceicon.c b/pidgin/pidginpresenceicon.c
--- a/pidgin/pidginpresenceicon.c
+++ b/pidgin/pidginpresenceicon.c
@@ -137,9 +137,9 @@ pidgin_presence_icon_class_init(PidginPr
 	obj_class->set_property = pidgin_presence_icon_set_property;
 
 	/**
-	 * PidginPresenceIcon::presence:
+	 * PidginPresenceIcon:presence:
 	 *
-	 * The #PurplePresence that this icon will be representing.
+	 * The presence that this icon will be representing.
 	 */
 	properties[PROP_PRESENCE] = g_param_spec_object(
 		"presence", "presence",
@@ -148,7 +148,7 @@ pidgin_presence_icon_class_init(PidginPr
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PidginPresenceIcon::fallback:
+	 * PidginPresenceIcon:fallback:
 	 *
 	 * The name of the icon to use as a fallback when no presence is set.
 	 */
@@ -159,9 +159,9 @@ pidgin_presence_icon_class_init(PidginPr
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PidginPresenceIcon::icon-size:
+	 * PidginPresenceIcon:icon-size:
 	 *
-	 * The #GtkIconSize that should be used.
+	 * The size of the icon that should be used.
 	 */
 	properties[PROP_ICON_SIZE] = g_param_spec_enum(
 		"icon-size", "icon-size",
diff --git a/pidgin/pidginproxyoptions.c b/pidgin/pidginproxyoptions.c
--- a/pidgin/pidginproxyoptions.c
+++ b/pidgin/pidginproxyoptions.c
@@ -268,7 +268,7 @@ pidgin_proxy_options_class_init(PidginPr
 	obj_class->constructed = pidgin_proxy_options_constructed;
 
 	/**
-	 * PidginProxyOptions::show-global:
+	 * PidginProxyOptions:show-global:
 	 *
 	 * Whether or not to show the "Use Global Proxy Settings" option. This
 	 * is turned off for the preferences where we use this widget to define
@@ -283,7 +283,7 @@ pidgin_proxy_options_class_init(PidginPr
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PidginProxyOptions::info:
+	 * PidginProxyOptions:info:
 	 *
 	 * The [class@Purple.ProxyInfo] that this options widget is configuring. If
 	 * unset, a new instance will be created.
diff --git a/pidgin/pidginstatuseditor.c b/pidgin/pidginstatuseditor.c
--- a/pidgin/pidginstatuseditor.c
+++ b/pidgin/pidginstatuseditor.c
@@ -235,7 +235,7 @@ pidgin_status_editor_class_init(PidginSt
 	obj_class->set_property = pidgin_status_editor_set_property;
 
 	/**
-	 * PidginStatusEditor::status:
+	 * PidginStatusEditor:status:
 	 *
 	 * The [type@Purple.SavedStatus] that this editor is responsible for.
 	 * This may be %NULL if it is creating a new status.
diff --git a/pidgin/pidginstatusprimitivestore.c b/pidgin/pidginstatusprimitivestore.c
--- a/pidgin/pidginstatusprimitivestore.c
+++ b/pidgin/pidginstatusprimitivestore.c
@@ -208,7 +208,7 @@ pidgin_status_primitive_store_class_init
 	obj_class->dispose = pidgin_status_primitive_store_dispose;
 
 	/**
-	 * PidginStatusPrimitiveStore::account:
+	 * PidginStatusPrimitiveStore:account:
 	 *
 	 * The account whose statuses to display.
 	 *
diff --git a/pidgin/prefs/pidgincredentialproviderrow.c b/pidgin/prefs/pidgincredentialproviderrow.c
--- a/pidgin/prefs/pidgincredentialproviderrow.c
+++ b/pidgin/prefs/pidgincredentialproviderrow.c
@@ -150,7 +150,7 @@ pidgin_credential_provider_row_class_ini
 	obj_class->finalize = pidgin_credential_provider_row_finalize;
 
 	/**
-	 * PidginCredentialProviderRow::provider
+	 * PidginCredentialProviderRow:provider
 	 *
 	 * The #PurpleCredentialProvider whose information will be displayed.
 	 */
@@ -161,7 +161,7 @@ pidgin_credential_provider_row_class_ini
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PidginCredentialProviderRow::active
+	 * PidginCredentialProviderRow:active
 	 *
 	 * Whether the #PurpleCredentialProvider is currently active.
 	 */
